# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.youtube
Class VideoMessageEntry

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.BaseEntry<E>
                  com.google.gdata.data.media.MediaEntry<VideoEntry>
                      com.google.gdata.data.youtube.VideoEntry
                          com.google.gdata.data.youtube.VideoMessageEntry

All Implemented Interfaces:
  Extension, IAtom, IEntry, Kind.Adaptable, Kind.Adaptor, IMediaEntry

    public class VideoMessageEntry

extends VideoEntry

A YouTube shared video entry.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseEntry
`BaseEntry.AtomHandler, BaseEntry.EntryState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.youtube.VideoEntry
`CATEGORIES`

Fields inherited from class com.google.gdata.data.BaseEntry
`state`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`VideoMessageEntry()` Creates an empty inbox entry.
`VideoMessageEntry(BaseEntry<?> original)` Creates a copy of another entry.

Method Summary
`void` `declareExtensions(ExtensionProfile extProfile)` Declares extensions that can appear in this entry.
`java.lang.String` `getDescription()` Deprecated. Valid only in version 1. Replaced version 2.0 with atom:summary.
`void` `setDescription(java.lang.String description)` Deprecated. Valid only in version 1. Replaced version 2.0 with atom:summary.

Methods inherited from class com.google.gdata.data.youtube.VideoEntry

`getComments, getComplaintsLink, getFeedLinks, getGeoCoordinates, getLocation, getMediaGroup, getOrCreateMediaGroup, getPublicationState, getRating, getRatingLink, getRecorded, getRelatedVideosLink, getStatistics, getVideoResponsesLink, getYtRating, isEmbeddable, isRacy, isYtIncomplete, setComments, setEmbeddable, setGeoCoordinates, setLocation, setPublicationState, setRacy, setRating, setRecorded, setStatistics, setYtIncomplete, setYtRating`

Methods inherited from class com.google.gdata.data.media.MediaEntry
`getContentHandlerInfo, getMediaEditLink, getMediaSource, setMediaSource, setService, updateMedia`

Methods inherited from class com.google.gdata.data.BaseEntry

`addAdaptor, addHtmlLink, addLink, addLink, delete, generate, generateAtom, generateRss, getAdaptedEntry, getAdaptor, getAdaptors, getAuthors, getCanEdit, getCategories, getContent, getContributors, getEdited, getEditLink, getEtag, getHandler, getHtmlLink, getId, getKind, getLink, getLinks, getLinks, getPlainTextContent, getPubControl, getPublished, getResumableEditMediaLink, getRights, getSelectedFields, getSelf, getSelfLink, getService, getSource, getSummary, getTextContent, getTitle, getUpdated, getVersionId, isDraft, parseAtom, parseAtom, parseAtom, readEntry, readEntry, removeLinks, removeLinks, setCanEdit, setContent, setContent, setDraft, setEdited, setEtag, setId, setKind, setPubControl, setPublished, setRights, setSelectedFields, setSource, setSummary, setTitle, setUpdated, setVersionId, update, visitChildren`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.gdata.data.IEntry
`getCanEdit, getContent, getEdited, getEditLink, getPublished, getResumableEditMediaLink, getSelectedFields, getSummary, setCanEdit, setEdited, setPublished, setSelectedFields`

Methods inherited from interface com.google.gdata.data.IAtom
`addLink, getAuthors, getCategories, getEtag, getId, getKind, getLink, getLinks, getSelfLink, getTitle, getUpdated, getVersionId, removeLinks, removeLinks, setEtag, setId, setKind, setUpdated, setVersionId`

Constructor Detail

### VideoMessageEntry

    public VideoMessageEntry()

  Creates an empty inbox entry.

### VideoMessageEntry

    public VideoMessageEntry(BaseEntry<?> original)

  Creates a copy of another entry.

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Declares extensions that can appear in this entry. The namespaces should be declared by the feeds themselves if they want them to appear in the top element of the feed.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Overrides:
    `declareExtensions` in class `VideoEntry`
  Parameters:
    `extProfile` - profile to register extensions to
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### getDescription

    @Deprecated
    public java.lang.String getDescription()

  Deprecated. Valid only in version 1. Replaced version 2.0 with atom:summary.

  Gets the message sent together with the video.

### setDescription

    @Deprecated
    public void setDescription(java.lang.String description)

  Deprecated. Valid only in version 1. Replaced version 2.0 with atom:summary.

  Sets the message sent together with the video.